> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Queue

> Create a queue and its routing destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/queues/
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/queues/:
    post:
      tags:
        - Queues
      summary: Create Queue
      description: Create a queue and its routing destinations
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                number:
                  anyOf:
                    - type: string
                      minLength: 2
                      maxLength: 9
                      pattern: ^[0-9]*$
                    - type: string
                      enum:
                        - ''
                tenantId:
                  type: number
                  exclusiveMinimum: 0
                branchId:
                  type: number
                  exclusiveMinimum: 0
                recording:
                  type: boolean
                timeout:
                  type: number
                  exclusiveMinimum: 0
                autoLogout:
                  anyOf:
                    - type: number
                      enum:
                        - 0
                    - type: number
                      enum:
                        - 1
                agentPickup:
                  anyOf:
                    - type: number
                      enum:
                        - 0
                    - type: number
                      enum:
                        - 1
                nobodyHome:
                  type: boolean
                noFreeMember:
                  type: boolean
                notifyAbandoned:
                  type: boolean
                notifyAbandonedEmail:
                  type: string
                  format: email
                  pattern: >-
                    ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                timeoutDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                queueFullDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                noAvailableAgentsDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                allAgentsBusyDestinations:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        exclusiveMinimum: 0
                      type:
                        type: string
                        minLength: 3
                    required:
                      - id
                      - type
                    additionalProperties: false
                maxLength:
                  type: number
                  exclusiveMinimum: 0
                  maximum: 50
                  multipleOf: 5
                ringStrategy:
                  type: string
                  enum:
                    - RINGALL
                    - RRMEMORY
                    - RANDOM
                    - LINEAR
                    - FEWESTCALLS
                    - LEASTRECENT
              required:
                - name
                - number
                - tenantId
                - timeout
                - nobodyHome
                - noFreeMember
                - notifyAbandoned
                - maxLength
                - ringStrategy
              additionalProperties: false
      responses:
        '200':
          description: Created queue
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Queue ID
                  name:
                    type: string
                    description: Queue name
                  number:
                    description: Queue number
                    anyOf:
                      - type: string
                      - type: 'null'
                  tenantId:
                    type: number
                    description: Tenant ID
                  branch:
                    description: Owning branch
                    anyOf:
                      - type: object
                        properties:
                          id:
                            type: number
                          name:
                            anyOf:
                              - type: string
                              - type: 'null'
                        required:
                          - id
                          - name
                        additionalProperties: false
                      - type: 'null'
                required:
                  - id
                  - name
                  - tenantId
                additionalProperties: {}
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````